Bug 1021167 - SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'rename' accesses on the file settings.sxx.
SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'rename' acc...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:4e906d6c827b5f9c8110b27e46d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-19 22:56 EDT by Charlweed Hymerfan
Modified: 2014-08-22 08:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-22 08:30:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charlweed Hymerfan 2013-10-19 22:56:25 EDT
Description of problem:
Mozilla needs to modify its own profiles. 
SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'rename' accesses on the file settings.sxx.

*****  Plugin mozplugger (99.1 confidence) suggests  *************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool -P unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests  ***************************

If you believe that plugin-container should be allowed rename access on the settings.sxx file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                settings.sxx [ file ]
Source                        plugin-containe
Source Path                   /usr/lib64/xulrunner/plugin-container
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           xulrunner-24.0-2.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.9.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.11.4-201.fc19.x86_64 #1 SMP Thu
                              Oct 10 14:11:18 UTC 2013 x86_64 x86_64
Alert Count                   3
First Seen                    2013-10-19 18:32:46 PDT
Last Seen                     2013-10-19 19:41:07 PDT
Local ID                      be4ebbb0-375b-43ec-9d80-6cd18bb7a7f2

Raw Audit Messages
type=AVC msg=audit(1382236867.379:508): avc:  denied  { rename } for  pid=2561 comm="plugin-containe" name="settings.sxx" dev="dm-2" ino=45482468 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file


type=SYSCALL msg=audit(1382236867.379:508): arch=x86_64 syscall=rename success=yes exit=0 a0=7f6a09f7f310 a1=7f6a09f7f388 a2=7fffca9818e0 a3=7fffca981640 items=0 ppid=2478 pid=2561 auid=1624 uid=1624 gid=1013 euid=1624 suid=1624 fsuid=1624 egid=1013 sgid=1013 fsgid=1013 ses=1 tty=(none) comm=plugin-containe exe=/usr/lib64/xulrunner/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: plugin-containe,mozilla_plugin_t,user_home_t,file,rename

Additional info:
reporter:       libreport-2.1.8
hashmarkername: setroubleshoot
kernel:         3.11.4-201.fc19.x86_64
type:           libreport

Potential duplicate: bug 827155
Comment 1 Daniel Walsh 2013-10-22 10:57:58 EDT
Could you attempt restorecon -R -v ~
And see if this changes any labels in your homedir to mozilla_home_t.

Note You need to log in before you can comment on or make changes to this bug.